This is PackageTemplate.info, produced by Macaulay2, version 1.20

PackageTemplate -- an example Macaulay2 package
***********************************************

Description
===========

PackageTemplate is an example package which can be used as a template for user
packages.

Author
======

  * Jane Doe <doe@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of PackageTemplate.

Source code
===========

The source code from which this documentation is derived is in the file
PackageTemplate.m2 (see common/share/Macaulay2/PackageTemplate.m2 ).

Exports
=======

  * Functions and commands
      * firstFunction -- a silly first function
      * secondFunction -- a silly second function
  * Methods
      * "firstFunction(ZZ)" -- see firstFunction, -- a
        silly first function
      * secondFunction(ZZ,ZZ) -- a silly
        second function
  * Symbols
      * MyOption -- optional argument specifying a level

For the programmer
==================

The object PackageTemplate, is a package (Macaulay2Doc).

firstFunction -- a silly first function
***************************************

Synopsis
========

  * Usage:
        firstFunction n
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a string (Macaulay2Doc),

Description
===========

This function is provided by the package PackageTemplate.
+--------------------+
|i1 : firstFunction 1|
|                    |
|o1 = Hello, World!  |
+--------------------+
|i2 : firstFunction 0|
|                    |
|o2 = D'oh!          |
+--------------------+

Ways to use firstFunction :
===========================

  * "firstFunction(ZZ)"

For the programmer
==================

The object firstFunction, is a method function (Macaulay2Doc).

MyOption -- optional argument specifying a level
************************************************

Description
===========

MyOption -- an optional argument used to specify a level

This symbol is provided by the package PackageTemplate.

Functions with optional argument named MyOption :
=================================================

  * secondFunction(...,MyOption=>...)
    -- add level to result

For the programmer
==================

The object MyOption, is a symbol (Macaulay2Doc).

secondFunction -- a silly second function
*****************************************

Synopsis
========

  * Optional inputs (Macaulay2Doc),:
      * MyOption, =>
        ..., default value 0, add level to result

Description
===========

This function is provided by the package PackageTemplate.

Ways to use secondFunction :
============================

  * secondFunction(ZZ,List) (missing documentation)
  * secondFunction(ZZ,ZZ) -- a silly second
    function

For the programmer
==================

The object secondFunction, is a method function with options (Macaulay2Doc).

secondFunction(...,MyOption=>...) -- add level to result
********************************************************

Synopsis
========

  * Usage:
        secondFunction(...,MyOption=>n)
  * Inputs:
      * n, an integer (Macaulay2Doc), the level to use
  * Consequences:
      * The value n is added to the result

Description
===========

Any more description can go here.
+------------------------------------+
|i1 : secondFunction(4,6,MyOption=>3)|
|                                    |
|o1 = 13                             |
+------------------------------------+

Further information
===================

  * Default value: 0
  * Function: secondFunction, -- a silly second function
  * Option key: MyOption, -- optional argument specifying a
    level

See also
========

  * firstFunction -- a silly first function

Functions with optional argument named MyOption :
=================================================

  * secondFunction(...,MyOption=>...)
    -- add level to result

secondFunction(ZZ,ZZ) -- a silly second function
************************************************

Synopsis
========

  * Function: secondFunction,
  * Usage:
        secondFunction(m,n)
  * Inputs:
      * m, an integer (Macaulay2Doc),
      * n, an integer (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * MyOption, =>
        ..., default value 0, add level to result
  * Outputs:
      * an integer (Macaulay2Doc), The sum of m, and n, and

Description
===========

+------------------------------------------------------+
|i1 : secondFunction(1,3)                              |
|                                                      |
|o1 = 4                                                |
+------------------------------------------------------+
|i2 : secondFunction(23213123,445326264, MyOption=>213)|
|                                                      |
|o2 = 468539600                                        |
+------------------------------------------------------+

Ways to use this method:
========================

  * secondFunction(ZZ,ZZ) -- a silly second
    function